## XfceClipboardManager

XfceClipboardManager — X11 clipboard manager

## Stability Level

Stable, unless otherwise indicated

## Functions

XfceClipboardManager * | xfce_clipboard_manager_new ()

## Types and Values

| XfceClipboardManager

## Object Hierarchy

        GObject
        ╰── XfceClipboardManager

## Includes

    #include <libxfce4ui/libxfce4ui.h>

## Description

X11 clipboard manager which ensures persistence in the sense of `gdk_display_supports_clipboard_persistence()`.

## Functions

### xfce_clipboard_manager_new ()

    XfceClipboardManager *
    xfce_clipboard_manager_new (gboolean replace);

[constructor]

#### Parameters

replace | whether or not to replace an existing clipboard manager |

#### Returns

A new XfceClipboardManager instance or `NULL` if `replace` is `FALSE` and a clipboard manager is already running.

[nullable][transfer full]

Since: 4.19.5

## Types and Values

### XfceClipboardManager

    typedef struct _XfceClipboardManager XfceClipboardManager;